<!DOCTYPE html>
<html dir="ltr" lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="Description" content="Roadtrip base example">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
    <title>Roadtrip</title>
    <style>
      road-counter, road-accordion, road-carousel, road-collapse, road-dialog, road-drawer, road-item, road-modal, road-rating, road-toast, road-alert, road-autocomplete, road-badge, road-card, road-carousel-item, road-checkbox, road-col, road-grid, road-img, road-label, road-list, road-navbar, road-navbar-item, road-progress, road-radio, road-radio-group, road-row, road-select, road-skeleton, road-spinner, road-switch, road-tab, road-tab-bar, road-tab-button, road-table, road-tabs, road-text, road-textarea, road-toolbar, road-toolbar-title, road-input, road-input-group, road-button, road-icon {
        visibility: hidden;
      }
    </style>
    <link rel="preload" href="../dist/roadtrip/roadtrip.css" as="style" onload="this.onload=null;this.rel='stylesheet'">
    <noscript><link rel="stylesheet" href="../dist/roadtrip/roadtrip.css"></noscript>
    <script type="module" src="../dist/roadtrip/roadtrip.esm.js"></script>
    <script nomodule src="../dist/roadtrip/roadtrip.js"></script>
  </head>
  <body>
    <road-grid class="bg-primary">
      <road-row>
        <road-col>
          <road-toolbar color="primary">
            <road-button slot="start" title="norauto.fr" aria-label="norauto.fr">
              <svg aria-hidden="true" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 1280 352.71" width="160"><path fill="#fff" d="M381.94 92.753c-46.426 0-89.457 33.4-96.249 83.8-7.362 50.389 26.046 83.232 72.472 83.232s88.888-32.843 96.245-83.232c6.8-50.392-26.043-83.8-72.468-83.8m28.873 83.8c-3.959 27.744-24.342 43.6-46.99 43.6s-38.5-15.852-34.537-43.6 24.345-44.164 46.994-44.164 38.5 16.42 34.533 44.164M978.694 135.219h59.442l5.668-38.5h-59.447l3.395-26.619h-26.043l-15.851 26.62-19.819 13.021-3.4 25.478h13.025l-9.627 66.808c-6.232 44.725 10.756 62.85 96.25 54.352l5.66-39.064c-53.783 6.792-60.58-2.831-57.75-23.213zM221.983 189.3L150.942 85.96c-6.233-9.058-14.155-11.324-28.877-11.324H97.719L71.112 256.379h46.425l16.283-115.742 72.605 106.115c4.528 6.8 11.325 9.627 21.516 9.627h30.574l26.043-182.308h-46.426zM574.442 96.72c-32.232-2.521-41.867 4.8-59.67 27.6l-.345-27.595h-33.4l-22.652 159.654h43.031l11.845-83.365c4.653-28.152 19.916-35.239 54.963-32.7zM856.966 182.209c-3.967 30.01-18.117 40.766-37.936 40.766-22.079 0-31.706-10.756-27.744-40.766l11.893-85.489h-43.031l-12.457 87.755c-7.926 57.181 21.515 75.306 65.111 75.306 42.463 0 78.7-18.125 86.622-75.306l12.457-87.755h-43.027zM567.649 177.682c-7.361 53.783 22.08 81.527 62.278 81.527 17.183 0 35.991-5.559 49.263-18.874l.56 16.044h36.238l20.383-147.206c-19.254-9.623-39.072-14.719-67.38-14.719-48.123 0-93.416 27.74-101.342 83.228m110.968 38.5c-6.228 2.83-13.586 5.66-27.744 5.66-28.873 0-41.894-16.42-37.931-45.293 3.963-27.744 23.781-43.031 50.953-43.031 10.191 0 18.689 1.7 25.478 4.532z"/><path fill="#fcb731" d="M1135.526 92.753c-46.429 0-89.456 33.4-96.253 83.8-7.361 50.389 26.043 83.232 72.468 83.232s88.892-32.843 96.254-83.232c6.8-50.392-26.043-83.8-72.469-83.8m28.873 83.8c-3.963 27.744-24.346 43.6-46.99 43.6s-38.5-15.852-34.54-43.6 24.345-44.164 46.993-44.164 38.5 16.42 34.537 44.164"/></svg>
            </road-button>
            <road-button slot="secondary" class="mb-0">
              <road-icon name="people-outline" color="white"></road-icon>
              <road-badge color="accent" bubble></road-badge>
            </road-button>
            <road-button slot="end" class="mb-0">
              <road-icon name="shopping-cart" color="white"></road-icon>
              <road-badge color="accent">3</road-badge>
            </road-button>
          </road-toolbar>
        </road-col>
      </road-row>
    </road-grid>

    <road-grid class="bg-white">
      <road-row>
        <road-col>
          <road-toolbar>
            <road-button slot="start" id="main-menu-button">
              <road-icon name="navigation-menu" color="accent"></road-icon>
            </road-button>
            <road-button>
              <road-icon name="search"></road-icon>
            </road-button>
            <div slot="primary" class="d-none d-lg-block">
              <road-button class="mb-0">
                Produits
              </road-button>
              <road-button class="mb-0">
                Services
              </road-button>
              <road-button class="mb-0">
                Achetez une voiture
              </road-button>
              <road-button class="text-accent text-uppercase mb-0">
                Promotions
              </road-button>
            </div>
            <road-button slot="end" class="font-weight-normal text-content mb-0">
              <road-icon slot="start" name="vehicle-car-checked"></road-icon>
              PEUGEOT 308 1.6 HDI
            </road-button>
          </road-toolbar>
        </road-col>
      </road-row>
      </road-grid>
    <road-drawer id="main-menu" drawer-width="320">
      <road-list>
        <road-item button>
          <road-icon name="location-pin"></road-icon>
          <road-label>
            Villeneuve d’Ascq
          </road-label>
        </road-item>
      </road-list>
      <road-list lines="full">
        <road-item button>
          <road-label>
            Promotions
          </road-label>
        </road-item>
        <road-item button detail>
          <road-label>
            Prendre RDV en atelier
          </road-label>
        </road-item>
        <road-item button detail>
          <road-label>
            Changer mes pneus
          </road-label>
        </road-item>
        <road-item button detail>
          <road-label>
            Remplacer une pièce
          </road-label>
        </road-item>
        <road-item button detail>
          <road-label>
            Equiper ma voiture
          </road-label>
        </road-item>
      </road-list>
    </road-drawer>
    <road-counter size="sm" value="1" min="1" max="5" step="1" dustbin="true"></road-counter>

    <script>
      // OPEN MAIN MENU
      document.querySelector('#main-menu-button').addEventListener('click', () => document.querySelector('#main-menu').open());
    </script>
  </body>
</html>